# 167. Two Sum II - Input array is sorted

**<font color=red>难度: Easy</font>**

## 刷题内容

> 原题连接

* https://leetcode.com/problems/two-sum-ii-input-array-is-sorted/description/   

> 内容描述

```
Given an array of integers that is already sorted in ascending order, find two numbers such that they add up to a specific target number.

The function twoSum should return indices of the two numbers such that they add up to the target, where index1 must be less than index2.

Note:

Your returned answers (both index1 and index2) are not zero-based.
You may assume that each input would have exactly one solution and you may not use the same element twice.
Example:

Input: numbers = [2,7,11,15], target = 9
Output: [1,2]
Explanation: The sum of 2 and 7 is 9. Therefore index1 = 1, index2 = 2.
```

## 解题方案

> 思路 1
******- 时间复杂度: O(log2 N)******- 空间复杂度: O(n)******

* 使用贪心算法，用左右的数字开始加，如果数字大于目标right--，反之left++

代码：

```javascript
/**
 * @param {number[]} numbers
 * @param {number} target
 * @return {number[]}
 */
var twoSum = function(numbers, target) {
    if(numbers.length===0)
        return [];
    var left = 0,right = numbers.length-1;
    while(right>left){
        if(numbers[right]+numbers[left]>target)
            right--;
        else if(numbers[right]+numbers[left]<target)
            left++;
        else return [left+1,right+1];
    }
    return [];
};
```

